# TODO:	- provide subpackages with cgi and fastcgi demos
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	A C++ library for CGI programming
Summary(pl.UTF-8):	Biblioteka C++ do programowania CGI
Name:		cgicc
Version:	3.2.13
Release:	1
License:	LGPL v3+ (library), FDL v1.1+ (documentation)
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/cgicc/%{name}-%{version}.tar.gz
# Source0-md5:	55e54943c6b046092804e92223535a65
Patch0:		%{name}-link.patch
URL:		http://www.gnu.org/software/cgicc/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU cgicc is a C++ class library that greatly simplifies the creation
of CGI applications for the World Wide Web. cgicc performs the
following functions:
- Parses both GET and POST form data transparently.
- Provides string, integer, floating-point and single- and
  multiple-choice retrieval methods for form data.
- Provides methods for saving and restoring CGI environments to aid in
  application debugging.
- Provides full on-the-fly HTML generation capabilities, with support
  for cookies.
- Supports HTTP file upload.
- Compatible with FastCGI.

%description -l pl.UTF-8
GNU cgicc to biblioteka klas C++ znacznie upraszczająca tworzenie
aplikacji CGI dla WWW. cgicc wykonuje następujące funkcje:
- w sposób przezroczysty analizuje dane z formularzy GET i POST
- udostępnia metody uzyskiwania łańcuchów znaków, liczb całkowitych i
  zmiennoprzecinkowych oraz opcji jednokrotnego i wielokrotnego wyboru
  z danych formularzy
- udostępnia metody do zapisu i odtwarzania środowiska CGI
  pomagające przy śledzeniu aplikacji
- udostępnia pełne możliwości generowania HTML-a w locie, z obsługą
  ciasteczek
- obsługuje wysyłanie plików po HTTP
- jest kompatybilna z FastCGI.

%package devel
Summary:	A C++ library for CGI programming - header files
Summary(pl.UTF-8):	Biblioteka C++ do programowania CGI - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for cgicc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki cgicc.

%package static
Summary:	A C++ library for CGI programming - static version
Summary(pl.UTF-8):	Biblioteka C++ do programowania CGI - wersja statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of cgicc library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki cgicc.

%package apidocs
Summary:	API documentation for cgicc library
Summary(pl.UTF-8):	Dokumentacja API biblioteki cgicc
Group:		Documentation

%description apidocs
API documentation for cgicc library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki cgicc.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-demos \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/%{name}-3.2.12

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS doc/html/*
%attr(755,root,root) %{_libdir}/libcgicc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcgicc.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cgicc-config
%attr(755,root,root) %{_libdir}/libcgicc.so
%{_libdir}/libcgicc.la
%{_includedir}/cgicc
%{_pkgconfigdir}/cgicc.pc
%{_aclocaldir}/cgicc.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcgicc.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Thu Apr 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cgicc.git;a=log;h=master

* Thu Apr 03 2014 Jakub Bogusz <qboosh@pld-linux.org> acf2bcf
- updated to 3.2.13

* Sat Jan 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 6b30652
- updated URLs, updated to 3.2.12
- added link patch (linking with -lnsl is not necessary)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1d42abc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 10eaae4
- converted to UTF-8

* Tue Nov 28 2006 twittner <twittner@pld-linux.org> 630d973
- don't build demos - they aren't packaged
- TODO about subpackages with demos
- NOTE about cgicc-config

* Tue Nov 28 2006 twittner <twittner@pld-linux.org> 3a4b8ac
- added AUTHORS BUGS ChangeLog NEWS README THANKS to %%doc

* Tue Nov 28 2006 twittner <twittner@pld-linux.org> 7202c93
- added standard `bcond_without static_libs'
- `License:' updated in accordance with
   http://www.cgicc.org/doc/cgicc_license.html

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 7b6ed4c
- standard files scheme for libtool library

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> d2048c0
- pl, BR: libtool 1.5 for C++

* Mon Nov 27 2006 darekr <darekr@pld-linux.org> f715ef0
- BR: ac, am, lt

* Mon Nov 27 2006 tommat <tommat@pld-linux.org> e9d7498
- initial

